<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Producto extends Model
{
    protected $fillable = [
        'sku', 'nombre', 'categoria_id', 'marca_producto_id',
        'referencia_celular_id', 'color_id', 'proveedor_id',
        'precio_costo', 'precio_venta', 'stock', 'stock_minimo', 'activo', 'tipo_producto_id'
    ];
    
    public function categoria()
    {
        return $this->belongsTo(Categoria::class);
    }

    public function tipoProducto()
    {
        return $this->belongsTo(TipoProducto::class);
    }
    
    public function marcaProducto()
    {
        return $this->belongsTo(MarcaProducto::class);
    }
    
    public function referenciaCelular()
    {
        return $this->belongsTo(ReferenciaCelular::class);
    }
    
    public function color()
    {
        return $this->belongsTo(Color::class);
    }
    
    public function proveedor()
    {
        return $this->belongsTo(Proveedor::class);
    }
    
    public function detalleVentas()
    {
        return $this->hasMany(DetalleVenta::class);
    }
    
    public function movimientos()
    {
        return $this->hasMany(MovimientoInventario::class);
    }
}